VLCKit: VLCMediaListPlayer Class Reference

VLCKit

Instance Methods | Properties | List of all members
VLCMediaListPlayer Class Reference

`#import <VLCMediaListPlayer.h>`

Inheritance diagram for VLCMediaListPlayer:

## Instance Methods
(instancetype) | - initWithDrawable:
(instancetype) | - initWithOptions:
(instancetype) | - initWithOptions:andDrawable:
(void) | - play
(void) | - pause
(void) | - stop
(BOOL) | - playItemAtIndex:
(void) | - playItemAtNumber:
(void) | - playMedia:

## Properties
VLCMediaList * | mediaList
VLCMedia * | rootMedia
VLCMediaPlayer * | mediaPlayer
id< VLCMediaListPlayerDelegate > | delegate
BOOL | next
BOOL | previous
VLCRepeatMode | repeatMode

## Detailed Description

A media list player, which eases the use of playlists

## Method Documentation

## ◆ initWithDrawable:

- (instancetype) initWithDrawable: |  | (id) | drawable |

initializer with a certain drawable

Note
  drawable can also be set later

## ◆ initWithOptions:

- (instancetype) initWithOptions: |  | (NSArray *) | options |

initializer with a custom options

Note
  This is will initialize a new VLCLibrary instance, which WILL have a major memory impact

## ◆ initWithOptions:andDrawable:

- (instancetype) initWithOptions: |  | (NSArray *) | options
andDrawable: |  | (id) | drawable

initializer with a certain drawable and options

See also
  initWithDrawable
  initWithOptions

## ◆ pause

- (void) pause |  |  |

pause playback

## ◆ play

- (void) play |  |  |

start playback

## ◆ playItemAtIndex:

- (BOOL) playItemAtIndex: |  | ((deprecated)) | __attribute__ |

play an item at at a given index in the media list attached to the player

Deprecated:
  This method is not thread safe. Use playItemAtNumber: instead

## ◆ playItemAtNumber:

- (void) playItemAtNumber: |  | (NSNumber *) | index |

play an item at a given index in the media list attached to the player

## ◆ playMedia:

- (void) playMedia: |  | (VLCMedia *) | media |

media must be in the current media list.

## ◆ stop

- (void) stop |  |  |

stop playback

## Property Documentation

## ◆ delegate

- (id<VLCMediaListPlayerDelegate>) delegate
| readwritenonatomicweak

Receiver's delegate

## ◆ mediaList

- (VLCMediaList*) mediaList
| readwriteatomicassign

setter/getter for mediaList to play within the player

Note
  This list is erased when setting a rootMedia on the list player instance

## ◆ mediaPlayer

- (VLCMediaPlayer*) mediaPlayer
| readatomicassign

the media player instance used for playback by the list player

## ◆ next

- (BOOL) next
| readatomicassign

play next item

Returns
  YES on success, NO if there is no such item

## ◆ previous

- (BOOL) previous
| readatomicassign

play previous item

Returns
  YES on success, NO if there is no such item

## ◆ repeatMode

- (VLCRepeatMode) repeatMode
| readwriteatomicassign

Playmode selection (don't repeat anything, repeat one, repeat all) See VLCRepeatMode.

## ◆ rootMedia

- (VLCMedia*) rootMedia
| readwriteatomicassign

rootMedia - Use this method to play a media and its subitems. This will erase mediaList. Setting mediaList will erase rootMedia.

The documentation for this class was generated from the following file:

- Headers/Public/VLCMediaListPlayer.h